Loading...
Searching...
No Matches
mce::OutputStream Class Referenceabstract
Inheritance diagram for mce::OutputStream:

## Public Member Functions

virtual size_t | write (const void *buffer, size_t size)=0
virtual size_t | seek (size_t position)=0
| Changes the current position the stream is at.
virtual size_t | tell ()=0
virtual size_t | getSize ()=0

## Member Function Documentation

## getSize()

virtual size_t mce::OutputStream::getSize | ( |  | ) |

pure virtual

Returns
  The size of the stream in bytes

Implemented in mce::FileOutputStream.

## seek()

virtual size_t mce::OutputStream::seek | ( | size_t | position | ) |

pure virtual

Changes the current position the stream is at.

Parameters

  position | The position to seek the output stream to

Returns
  The position the output stream is at now

Implemented in mce::FileOutputStream.

## tell()

virtual size_t mce::OutputStream::tell | ( |  | ) |

pure virtual

Returns
  The current position the stream is at

Implemented in mce::FileOutputStream.

## write()

virtual size_t mce::OutputStream::write | ( | const void * | buffer,
|  | size_t | size )

pure virtual

Parameters

  buffer | The data to write
  size | How many bytes to write

Returns
  How many bytes were written

Implemented in mce::FileOutputStream.

The documentation for this class was generated from the following files:

- IO/Stream/OutputStream.hpp
- IO/Stream/OutputStream.cpp